# Financial Services API

- [REST Resource: v1.projects.locations](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest#v1.projects.locations)
- [REST Resource: v1.projects.locations.instances](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest#v1.projects.locations.instances)
- [REST Resource: v1.projects.locations.instances.backtestResults](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest#v1.projects.locations.instances.backtestResults)
- [REST Resource: v1.projects.locations.instances.datasets](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest#v1.projects.locations.instances.datasets)
- [REST Resource: v1.projects.locations.instances.engineConfigs](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest#v1.projects.locations.instances.engineConfigs)
- [REST Resource: v1.projects.locations.instances.engineVersions](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest#v1.projects.locations.instances.engineVersions)
- [REST Resource: v1.projects.locations.instances.models](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest#v1.projects.locations.instances.models)
- [REST Resource: v1.projects.locations.instances.predictionResults](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest#v1.projects.locations.instances.predictionResults)
- [REST Resource: v1.projects.locations.operations](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest#v1.projects.locations.operations)

## Service: financialservices.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://financialservices.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://financialservices.googleapis.com`

## REST Resource: [v1.projects.locations](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations/get` | `GET /v1/{name=projects/*/locations/*}` Gets information about a location. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations/list` | `GET /v1/{name=projects/*}/locations` Lists information about the supported locations for this service. |

## REST Resource: [v1.projects.locations.instances](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances/create` | `POST /v1/{parent=projects/*/locations/*}/instances` Creates an instance. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances/delete` | `DELETE /v1/{name=projects/*/locations/*/instances/*}` Deletes an instance. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances/exportRegisteredParties` | `POST /v1/{name=projects/*/locations/*/instances/*}:exportRegisteredParties` Exports the list of registered parties. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances/get` | `GET /v1/{name=projects/*/locations/*/instances/*}` Gets an instance. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances/importRegisteredParties` | `POST /v1/{name=projects/*/locations/*/instances/*}:importRegisteredParties` Imports the list of registered parties. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances/list` | `GET /v1/{parent=projects/*/locations/*}/instances` Lists instances. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances/patch` | `PATCH /v1/{instance.name=projects/*/locations/*/instances/*}` Updates the parameters of a single Instance. |

## REST Resource: [v1.projects.locations.instances.backtestResults](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.backtestResults)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.backtestResults/create` | `POST /v1/{parent=projects/*/locations/*/instances/*}/backtestResults` Create a BacktestResult. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.backtestResults/delete` | `DELETE /v1/{name=projects/*/locations/*/instances/*/backtestResults/*}` Deletes a BacktestResult. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.backtestResults/exportMetadata` | `POST /v1/{backtestResult=projects/*/locations/*/instances/*/backtestResults/*}:exportMetadata` Export governance information for a BacktestResult resource. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.backtestResults/get` | `GET /v1/{name=projects/*/locations/*/instances/*/backtestResults/*}` Gets a BacktestResult. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.backtestResults/list` | `GET /v1/{parent=projects/*/locations/*/instances/*}/backtestResults` List BacktestResults. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.backtestResults/patch` | `PATCH /v1/{backtestResult.name=projects/*/locations/*/instances/*/backtestResults/*}` Updates the parameters of a single BacktestResult. |

## REST Resource: [v1.projects.locations.instances.datasets](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.datasets)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.datasets/create` | `POST /v1/{parent=projects/*/locations/*/instances/*}/datasets` Creates a dataset. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.datasets/delete` | `DELETE /v1/{name=projects/*/locations/*/instances/*/datasets/*}` Deletes a dataset. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.datasets/get` | `GET /v1/{name=projects/*/locations/*/instances/*/datasets/*}` Gets a dataset. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.datasets/list` | `GET /v1/{parent=projects/*/locations/*/instances/*}/datasets` Lists datasets. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.datasets/patch` | `PATCH /v1/{dataset.name=projects/*/locations/*/instances/*/datasets/*}` Updates the parameters of a single Dataset. |

## REST Resource: [v1.projects.locations.instances.engineConfigs](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/create` | `POST /v1/{parent=projects/*/locations/*/instances/*}/engineConfigs` Creates an engine config. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/delete` | `DELETE /v1/{name=projects/*/locations/*/instances/*/engineConfigs/*}` Deletes an engine config. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/exportMetadata` | `POST /v1/{engineConfig=projects/*/locations/*/instances/*/engineConfigs/*}:exportMetadata` Export governance information for an EngineConfig resource. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/get` | `GET /v1/{name=projects/*/locations/*/instances/*/engineConfigs/*}` Gets an engine config. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/list` | `GET /v1/{parent=projects/*/locations/*/instances/*}/engineConfigs` Lists engine configs. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineConfigs/patch` | `PATCH /v1/{engineConfig.name=projects/*/locations/*/instances/*/engineConfigs/*}` Updates the parameters of a single EngineConfig. |

## REST Resource: [v1.projects.locations.instances.engineVersions](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineVersions)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineVersions/get` | `GET /v1/{name=projects/*/locations/*/instances/*/engineVersions/*}` Gets a single EngineVersion. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.engineVersions/list` | `GET /v1/{parent=projects/*/locations/*/instances/*}/engineVersions` Lists EngineVersions for given location. |

## REST Resource: [v1.projects.locations.instances.models](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.models)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.models/copy` | `POST /v1/{parent=projects/*/locations/*/instances/*}/models:copy` Copies a model from one instance to another. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.models/create` | `POST /v1/{parent=projects/*/locations/*/instances/*}/models` Creates a model. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.models/delete` | `DELETE /v1/{name=projects/*/locations/*/instances/*/models/*}` Deletes a model. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.models/exportMetadata` | `POST /v1/{model=projects/*/locations/*/instances/*/models/*}:exportMetadata` Export governance information for a Model resource. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.models/get` | `GET /v1/{name=projects/*/locations/*/instances/*/models/*}` Gets a model. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.models/list` | `GET /v1/{parent=projects/*/locations/*/instances/*}/models` Lists models. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.models/patch` | `PATCH /v1/{model.name=projects/*/locations/*/instances/*/models/*}` Updates the parameters of a single Model. |

## REST Resource: [v1.projects.locations.instances.predictionResults](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.predictionResults)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.predictionResults/create` | `POST /v1/{parent=projects/*/locations/*/instances/*}/predictionResults` Create a PredictionResult. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.predictionResults/delete` | `DELETE /v1/{name=projects/*/locations/*/instances/*/predictionResults/*}` Deletes a PredictionResult. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.predictionResults/exportMetadata` | `POST /v1/{predictionResult=projects/*/locations/*/instances/*/predictionResults/*}:exportMetadata` Export governance information for a PredictionResult resource. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.predictionResults/get` | `GET /v1/{name=projects/*/locations/*/instances/*/predictionResults/*}` Gets a PredictionResult. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.predictionResults/list` | `GET /v1/{parent=projects/*/locations/*/instances/*}/predictionResults` List PredictionResults. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.instances.predictionResults/patch` | `PATCH /v1/{predictionResult.name=projects/*/locations/*/instances/*/predictionResults/*}` Updates the parameters of a single PredictionResult. |

## REST Resource: [v1.projects.locations.operations](https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.operations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.operations/cancel` | `POST /v1/{name=projects/*/locations/*/operations/*}:cancel` Starts asynchronous cancellation on a long-running operation. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.operations/delete` | `DELETE /v1/{name=projects/*/locations/*/operations/*}` Deletes a long-running operation. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.operations/get` | `GET /v1/{name=projects/*/locations/*/operations/*}` Gets the latest state of a long-running operation. |
| `https://docs.cloud.google.com/financial-services/anti-money-laundering/docs/reference/rest/v1/projects.locations.operations/list` | `GET /v1/{name=projects/*/locations/*}/operations` Lists operations that match the specified filter in the request. |